O'Reilly logo
  • Jayalakshmi Ramachandran thinks this is interesting:

Which brings me to my next pointAnsible is written entirely in Python. The main runner and all of the modules are Python 2.6 compatible, which means that they’ll work with any version of Python2 above version 2.6. DeHaan choose Python for Ansible as it meant that there would be no additional dependencies on the machines that you need to manage. At this point in time, most other common configuration management systems require you to install Ruby.

From

Cover of Ansible: From Beginner to Pro

Note

can some one throw light to this ?